Subject: Re: [PATCH v3 0/4] t: new helper test_line_count_cmd

From: Đoàn Trần Công Danh <[email-masked]>
Date: Tue, 22 Jun 2021 06:52:23 +0700

On 2021-06-19 15:50:17+0900, Junio C Hamano <[email-masked]> wrote:
> Eric Sunshine <[email-masked]> writes:
> 
> > Indeed, I have no problem seeing this as a new mode of
> > test_line_count() triggered by an option. In fact, I suggested exactly
> > that[1] when this idea first arose (except I named the option `-c`
> > rather than `-e`, but the latter is fine). However, my suggestion was
> > pretty much shot down[2] (and I don't entirely disagree with [2],
> > which is why I didn't pursue the idea in [1]).
> 
> ;-)  
> 
> Yeah, I still am skeptical that we'd gain much by hiding the
> redirection to >actual behind the helper, so as I said in response
> to the v2 series, I am fine without this new helper or an enhanced
> test_line_count, but go with more use of test_must_be_empty etc.

I guess the overall feedback for this new helper is negative.
I think the consensus here is a local helper in t640{0,2} for counting
ls-files?

-- 
Danh